/*
**	pot.c
*/
#include "x.c"

#define W 500
#define H 400
#define R 333
#define L 1000
typedef struct { double x,y; }complex;
short a[L];
double h[L];

complex sub(complex a, complex b)
{
	complex z;
	z.x= a.x - b.x;
	z.y= a.y - b.y;
	return z;
}

complex mul(complex a, complex b)
{
	complex z;
	z.x= a.x * b.x - a.y * b.y;
	z.y= a.y * b.x + a.x * b.y;
	return z;
}

double amp(complex a){ return a.x*a.x + a.y*a.y; }

complex div1(complex a, complex b)
{
	complex z;
	double am= amp(b);
	b.x=  b.x/am;
	b.y= -b.y/am;
	return mul(a,b);
}


usage()
{
	fprintf(stderr,"Usage:zero [th] IRfile\n");
	fprintf(stderr,"th:20 - 0\n");
	exit(1);
}

main(argc,argv)
char **argv;
{
	FILE *fp;
	int len,i,j,k,th=99;
	double x,y;
	complex z,sum;
	char name[256];
	double t,soa;
	double x0,y0,x1,y1;
	double M,m,phi,r,w2;
	complex PM,Pm;

	iwt("potential on rotaion frame",W,H);

	XDrawLine(dpy,w1,gc,0, H/2, W-1, H/2);
	XDrawLine(dpy,w1,gc,W/2, 0, W/2, H-1);

	XDrawArc(dpy,w1,gc,(W-R)/2,(H-R)/2,R,R,0,360*64);

	XFlush(dpy);

	x0= -(double)W/R; y0= -(double)H/R;
	x1=  -x0; y1=  -y0;
	M= 100; m= 2.5;

	PM.x= -m/(M+m);
	PM.y= 0;
	Pm.x= M/(M+m);
	Pm.y= 0;
	w2= M+m;

	z.y= y0;
	for(j= 0; j< H; j++){
		z.x= x0;
		for(i= 0; i< W; i++){
			phi= -M/sqrt(amp(sub(z,PM))) -m/sqrt(amp(sub(z,Pm))) -.5*w2*amp(z);
			if((int)(phi)&1) XDrawPoint(dpy,w1,gc,i,j);
			z.x+= (x1-x0)/W;
		}
		z.y+= (y1-y0)/H;
		XFlush(dpy);
	}
	XFlush(dpy); printf("complete.\n");
	while(1); // wait forever
}
